Commit 6933f0b2 authored by xan@webkit.org's avatar xan@webkit.org

2010-12-12 Xan Lopez <xlopez@igalia.com>

        Rubber-stamped by Gustavo Noronha.

        Stop checking for glib >= 2.16, we have dependend on a newer
        version for a long time now.

        * tests/testatk.c: Stop checking for glib >= 2.16.
        * tests/testatkroles.c: ditto.
        * tests/testdomdocument.c: ditto.
        * tests/testdomdomwindow.c: ditto.
        * tests/testdomnode.c: ditto.
        * tests/testglobals.c: ditto.
        * tests/testhttpbackend.c: ditto.
        * tests/testloading.c: ditto.
        * tests/testmimehandling.c: ditto.
        * tests/testnetworkrequest.c: ditto.
        * tests/testnetworkresponse.c: ditto.
        * tests/testwebbackforwardlist.c: ditto.
        * tests/testwebdatasource.c: ditto.
        * tests/testwebframe.c: ditto.
        * tests/testwebhistoryitem.c: ditto.
        * tests/testwebresource.c: ditto.
        * tests/testwebsettings.c: ditto.
        * tests/testwebview.c: ditto.
        * tests/testwindow.c: ditto.

git-svn-id: http://svn.webkit.org/repository/webkit/trunk@73874 268f45cc-cd09-0410-ab3c-d52691b4dbfc
parent 11c4da89
2010-12-12 Xan Lopez <xlopez@igalia.com>
Rubber-stamped by Gustavo Noronha.
Stop checking for glib >= 2.16, we have dependend on a newer
version for a long time now.
* tests/testatk.c: Stop checking for glib >= 2.16.
* tests/testatkroles.c: ditto.
* tests/testdomdocument.c: ditto.
* tests/testdomdomwindow.c: ditto.
* tests/testdomnode.c: ditto.
* tests/testglobals.c: ditto.
* tests/testhttpbackend.c: ditto.
* tests/testloading.c: ditto.
* tests/testmimehandling.c: ditto.
* tests/testnetworkrequest.c: ditto.
* tests/testnetworkresponse.c: ditto.
* tests/testwebbackforwardlist.c: ditto.
* tests/testwebdatasource.c: ditto.
* tests/testwebframe.c: ditto.
* tests/testwebhistoryitem.c: ditto.
* tests/testwebresource.c: ditto.
* tests/testwebsettings.c: ditto.
* tests/testwebview.c: ditto.
* tests/testwindow.c: ditto.
2010-12-11 Xan Lopez <xlopez@igalia.com>
Reviewed by Martin Robinson.
......
......@@ -24,7 +24,7 @@
#include <unistd.h>
#include <webkit/webkit.h>
#if GLIB_CHECK_VERSION(2, 16, 0) && GTK_CHECK_VERSION(2, 14, 0)
#if GTK_CHECK_VERSION(2, 14, 0)
static const char* centeredContents = "<html><body><p style='text-align: center;'>Short line</p><p style='text-align: center;'>Long-size line with some foo bar baz content</p><p style='text-align: center;'>Short line</p><p style='text-align: center;'>This is a multi-line paragraph<br />where the first line<br />is the biggest one</p></body></html>";
......@@ -1338,7 +1338,7 @@ int main(int argc, char** argv)
#else
int main(int argc, char** argv)
{
g_critical("You will need at least glib-2.16.0 and gtk-2.14.0 to run the unit tests. Doing nothing now.");
g_critical("You will need gtk-2.14.0 to run the unit tests. Doing nothing now.");
return 0;
}
......
......@@ -23,7 +23,7 @@
#include <gtk/gtk.h>
#include <webkit/webkit.h>
#if GLIB_CHECK_VERSION(2, 16, 0) && GTK_CHECK_VERSION(2, 14, 0)
#if GTK_CHECK_VERSION(2, 14, 0)
/* Non form roles */
#define HTML_DOCUMENT_FRAME "<html><body>This is a test.</body></html>"
......@@ -421,7 +421,7 @@ int main(int argc, char** argv)
#else
int main(int argc, char** argv)
{
g_critical("You will need at least glib-2.16.0 and gtk-2.14.0 to run the unit tests. Doing nothing now.");
g_critical("You will need gtk-2.14.0 to run the unit tests. Doing nothing now.");
return 0;
}
......
......@@ -24,7 +24,7 @@
#include <gtk/gtk.h>
#include <webkit/webkit.h>
#if GLIB_CHECK_VERSION(2, 16, 0) && GTK_CHECK_VERSION(2, 14, 0)
#if GTK_CHECK_VERSION(2, 14, 0)
#define HTML_DOCUMENT_TITLE "<html><head><title>This is the title</title></head><body></body></html>"
#define HTML_DOCUMENT_ELEMENTS "<html><body><ul><li>1</li><li>2</li><li>3</li></ul></body></html>"
......@@ -368,7 +368,7 @@ int main(int argc, char** argv)
#else
int main(int argc, char** argv)
{
g_critical("You will need at least glib-2.16.0 and gtk-2.14.0 to run the unit tests. Doing nothing now.");
g_critical("You will gtk-2.14.0 to run the unit tests. Doing nothing now.");
return 0;
}
......
......@@ -24,7 +24,7 @@
#include <gtk/gtk.h>
#include <webkit/webkit.h>
#if GLIB_CHECK_VERSION(2, 16, 0) && GTK_CHECK_VERSION(2, 14, 0)
#if GTK_CHECK_VERSION(2, 14, 0)
#define HTML_DOCUMENT "<html><head><title>This is the title</title></head><body><p id='test'>test</p></body></html>"
......@@ -222,7 +222,7 @@ int main(int argc, char** argv)
#else
int main(int argc, char** argv)
{
g_critical("You will need at least glib-2.16.0 and gtk-2.14.0 to run the unit tests. Doing nothing now.");
g_critical("You will need gtk-2.14.0 to run the unit tests. Doing nothing now.");
return 0;
}
......
......@@ -24,7 +24,7 @@
#include <gtk/gtk.h>
#include <webkit/webkit.h>
#if GLIB_CHECK_VERSION(2, 16, 0) && GTK_CHECK_VERSION(2, 14, 0)
#if GTK_CHECK_VERSION(2, 14, 0)
#define HTML_DOCUMENT_HIERARCHY_NAVIGATION "<html><head><title>This is the title</title></head><body><p>1</p><p>2</p><p>3</p></body></html>"
#define HTML_DOCUMENT_NODE_INSERTION "<html><body></body></html>"
......@@ -199,7 +199,7 @@ int main(int argc, char** argv)
#else
int main(int argc, char** argv)
{
g_critical("You will need at least glib-2.16.0 and gtk-2.14.0 to run the unit tests. Doing nothing now.");
g_critical("You will need gtk-2.14.0 to run the unit tests. Doing nothing now.");
return 0;
}
......
......@@ -21,7 +21,7 @@
#include <libsoup/soup.h>
#include <webkit/webkit.h>
#if GLIB_CHECK_VERSION(2, 16, 0) && GTK_CHECK_VERSION(2, 14, 0)
#if GTK_CHECK_VERSION(2, 14, 0)
// Make sure the session is initialized properly when webkit_get_default_session() is called.
static void test_globals_default_session()
......@@ -59,7 +59,7 @@ int main(int argc, char** argv)
#else
int main(int argc, char** argv)
{
g_critical("You will need at least glib-2.16.0 and gtk-2.14.0 to run the unit tests. Doing nothing now.");
g_critical("You will need gtk-2.14.0 to run the unit tests. Doing nothing now.");
return 0;
}
......
......@@ -24,7 +24,7 @@
#include <gtk/gtk.h>
#include <webkit/webkit.h>
#if GLIB_CHECK_VERSION(2, 16, 0) && GTK_CHECK_VERSION(2, 14, 0)
#if GTK_CHECK_VERSION(2, 14, 0)
// Not yet public API
SoupMessage* webkit_network_request_get_message(WebKitNetworkRequest* request);
......@@ -79,7 +79,7 @@ int main(int argc, char** argv)
#else
int main(int argc, char** argv)
{
g_critical("You will need at least glib-2.16.0 and gtk-2.14.0 to run the unit tests. Doing nothing now.");
g_critical("You will need gtk-2.14.0 to run the unit tests. Doing nothing now.");
return 0;
}
......
......@@ -23,7 +23,7 @@
#include <string.h>
#include <webkit/webkit.h>
#if GLIB_CHECK_VERSION(2, 16, 0) && GTK_CHECK_VERSION(2, 14, 0)
#if GTK_CHECK_VERSION(2, 14, 0)
/* This string has to be rather big because of the cancelled test - it
* looks like soup refuses to send or receive a too small chunk */
......@@ -438,7 +438,7 @@ int main(int argc, char** argv)
#else
int main(int argc, char** argv)
{
g_critical("You will need at least glib-2.16.0 and gtk-2.14.0 to run the unit tests. Doing nothing now.");
g_critical("You will need gtk-2.14.0 to run the unit tests. Doing nothing now.");
return 0;
}
......
......@@ -27,7 +27,7 @@
#include <webkit/webkit.h>
#include <unistd.h>
#if GLIB_CHECK_VERSION(2, 16, 0) && GTK_CHECK_VERSION(2, 14, 0)
#if GTK_CHECK_VERSION(2, 14, 0)
GMainLoop* loop;
SoupSession *session;
......@@ -221,7 +221,7 @@ int main(int argc, char** argv)
#else
int main(int argc, char** argv)
{
g_critical("You will need at least glib-2.16.0 and gtk-2.14.0 to run the unit tests. Doing nothing now.");
g_critical("You will need gtk-2.14.0 to run the unit tests. Doing nothing now.");
return 0;
}
......
......@@ -25,7 +25,7 @@
#include <stdlib.h>
#include <webkit/webkit.h>
#if GLIB_CHECK_VERSION(2, 16, 0) && GTK_CHECK_VERSION(2, 14, 0)
#if GTK_CHECK_VERSION(2, 14, 0)
static void test_network_request_create_destroy()
{
......@@ -100,7 +100,7 @@ int main(int argc, char** argv)
#else
int main(int argc, char** argv)
{
g_critical("You will need at least glib-2.16.0 and gtk-2.14.0 to run the unit tests. Doing nothing now.");
g_critical("You will need gtk-2.14.0 to run the unit tests. Doing nothing now.");
return 0;
}
......
......@@ -26,7 +26,7 @@
#include <stdlib.h>
#include <webkit/webkit.h>
#if GLIB_CHECK_VERSION(2, 16, 0) && GTK_CHECK_VERSION(2, 14, 0)
#if GTK_CHECK_VERSION(2, 14, 0)
static void test_network_response_create_destroy()
{
......@@ -101,7 +101,7 @@ int main(int argc, char** argv)
#else
int main(int argc, char** argv)
{
g_critical("You will need at least glib-2.16.0 and gtk-2.14.0 to run the unit tests. Doing nothing now.");
g_critical("You will need gtk-2.14.0 to run the unit tests. Doing nothing now.");
return 0;
}
......
......@@ -21,7 +21,7 @@
#include <gtk/gtk.h>
#include <webkit/webkit.h>
#if GLIB_CHECK_VERSION(2, 16, 0) && GTK_CHECK_VERSION(2, 14, 0)
#if GTK_CHECK_VERSION(2, 14, 0)
static void test_webkit_web_history_item_lifetime(void)
{
......@@ -330,7 +330,7 @@ int main(int argc, char** argv)
#else
int main(int argc, char** argv)
{
g_critical("You will need at least glib-2.16.0 and gtk-2.14.0 to run the unit tests. Doing nothing now.");
g_critical("You will need gtk-2.14.0 to run the unit tests. Doing nothing now.");
return 0;
}
......
......@@ -21,7 +21,7 @@
#include <gtk/gtk.h>
#include <webkit/webkit.h>
#if GLIB_CHECK_VERSION(2, 16, 0) && GTK_CHECK_VERSION(2, 14, 0)
#if GTK_CHECK_VERSION(2, 14, 0)
static const gshort defaultTimeout = 10;
guint waitTimer;
......@@ -246,7 +246,7 @@ int main(int argc, char** argv)
#else
int main(int argc, char** argv)
{
g_critical("You will need at least glib-2.16.0 and gtk-2.14.0 to run the unit tests. Doing nothing now.");
g_critical("You will need gtk-2.14.0 to run the unit tests. Doing nothing now.");
return 0;
}
......
......@@ -25,7 +25,7 @@
#include <gtk/gtk.h>
#include <webkit/webkit.h>
#if GLIB_CHECK_VERSION(2, 16, 0) && GTK_CHECK_VERSION(2, 14, 0)
#if GTK_CHECK_VERSION(2, 14, 0)
static int numberOfFramesCreated = 0;
......@@ -224,7 +224,7 @@ int main(int argc, char** argv)
#else
int main(int argc, char** argv)
{
g_critical("You will need at least glib-2.16.0 and gtk-2.14.0 to run the unit tests. Doing nothing now.");
g_critical("You will need gtk-2.14.0 to run the unit tests. Doing nothing now.");
return 0;
}
......
......@@ -21,7 +21,7 @@
#include <gtk/gtk.h>
#include <webkit/webkit.h>
#if GLIB_CHECK_VERSION(2, 16, 0) && GTK_CHECK_VERSION(2, 14, 0)
#if GTK_CHECK_VERSION(2, 14, 0)
typedef struct {
WebKitWebHistoryItem* item;
......@@ -74,7 +74,7 @@ int main(int argc, char** argv)
#else
int main(int argc, char** argv)
{
g_critical("You will need at least glib-2.16.0 and gtk-2.14.0 to run the unit tests. Doing nothing now.");
g_critical("You will need gtk-2.14.0 to run the unit tests. Doing nothing now.");
return 0;
}
......
......@@ -23,7 +23,7 @@
#include <string.h>
#include <webkit/webkit.h>
#if GLIB_CHECK_VERSION(2, 16, 0) && GTK_CHECK_VERSION(2, 14, 0)
#if GTK_CHECK_VERSION(2, 14, 0)
#define INDEX_HTML "<html></html>"
#define MAIN_HTML "<html><head><script language=\"javascript\" src=\"/javascript.js\"></script></head><body><h1>hah</h1></html>"
......@@ -335,7 +335,7 @@ int main(int argc, char** argv)
#else
int main(int argc, char** argv)
{
g_critical("You will need at least glib-2.16.0 and gtk-2.14.0 to run the unit tests. Doing nothing now.");
g_critical("You will need gtk-2.14.0 to run the unit tests. Doing nothing now.");
return 0;
}
......
......@@ -21,7 +21,7 @@
#include <gtk/gtk.h>
#include <webkit/webkit.h>
#if GLIB_CHECK_VERSION(2, 16, 0) && GTK_CHECK_VERSION(2, 14, 0)
#if GTK_CHECK_VERSION(2, 14, 0)
static void test_webkit_web_settings_user_agent(void)
{
......@@ -74,7 +74,7 @@ int main(int argc, char** argv)
#else
int main(int argc, char** argv)
{
g_critical("You will need at least glib-2.16.0 and gtk-2.14.0 to run the unit tests. Doing nothing now.");
g_critical("You will need gtk-2.14.0 to run the unit tests. Doing nothing now.");
return 0;
}
......
......@@ -29,7 +29,7 @@
#include <gtk/gtk.h>
#include <webkit/webkit.h>
#if GLIB_CHECK_VERSION(2, 16, 0) && GTK_CHECK_VERSION(2, 14, 0)
#if GTK_CHECK_VERSION(2, 14, 0)
GMainLoop* loop;
SoupSession *session;
......@@ -371,7 +371,7 @@ int main(int argc, char** argv)
#else
int main(int argc, char** argv)
{
g_critical("You will need at least glib-2.16.0 and gtk-2.14.0 to run the unit tests. Doing nothing now.");
g_critical("You will need gtk-2.14.0 to run the unit tests. Doing nothing now.");
return 0;
}
......
......@@ -20,7 +20,7 @@
#include <gtk/gtk.h>
#include <webkit/webkit.h>
#if GLIB_CHECK_VERSION(2, 16, 0) && GTK_CHECK_VERSION(2, 14, 0)
#if GTK_CHECK_VERSION(2, 14, 0)
static void notify_load_status_cb(WebKitWebView* web_view, GParamSpec* pspec, gpointer data)
{
......@@ -123,7 +123,7 @@ int main(int argc, char** argv)
#else
int main(int argc, char** argv)
{
g_critical("You will need at least glib-2.16.0 and gtk-2.14.0 to run the unit tests. Doing nothing now.");
g_critical("You will need gtk-2.14.0 to run the unit tests. Doing nothing now.");
return 0;
}
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment